aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/dist.sh
diff options
context:
space:
mode:
authorEuAndreh <eu@euandre.org>2022-01-19 09:19:14 -0300
committerEuAndreh <eu@euandre.org>2022-01-19 09:19:14 -0300
commit7fecfa8a38029de3c0148820a312bcf3d0459db7 (patch)
tree35a5930d8b694b1b96fa50ddc10776bb7231082b /aux/workflow/dist.sh
parentdependencies.dot: Mark git-permalink as DONE (diff)
downloadpackage-repository-7fecfa8a38029de3c0148820a312bcf3d0459db7.tar.gz
package-repository-7fecfa8a38029de3c0148820a312bcf3d0459db7.tar.xz
aux/: Update
Diffstat (limited to 'aux/workflow/dist.sh')
-rwxr-xr-xaux/workflow/dist.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
index a433478..48a9d57 100755
--- a/aux/workflow/dist.sh
+++ b/aux/workflow/dist.sh
@@ -53,6 +53,12 @@ if git show "$VVERSION" 1>/dev/null 2>/dev/null; then
exit 1
fi
+if [ "v$(awk '/^VERSION *=/{print $3; exit}' Makefile)" != "$VVERSION" ]; then
+ echo "Version '$VVERSION' mismatch with \$(VERSION) in Makefile." >&2
+ echo 'Make sure to invoke this script with "make dist".' >&2
+ exit 1
+fi
+
if ! printf '%s\n%s\n' "$(git tag)" "$VVERSION" | sort -nct. -k1 -k2 -k3; then
echo 'New tag is not bigger than existing ones.' >&2
exit 1
@@ -63,12 +69,19 @@ if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
exit 1
fi
+if [ "$(awk '/^DATE *=/{print $3; exit}' Makefile)" != "$DATE" ]; then
+ echo "Date '$DATE' mismatch with \$(DATE) in Makefile." >&2
+ echo 'Make sure to invoke this script with "make dist".' >&2
+ exit 1
+fi
+
if [ "Release $VVERSION" != "$(git log --format=%B -1 HEAD | head -n1)" ]; then
echo "Commit message isn't 'Release $VVERSION'." >&2
exit 1
fi
-make clean public dev-check EXTRA_VERSION="$VVERSION"
+make clean
+make dev-check EXTRA_VERSION="$VVERSION"
if ! (git diff --quiet && git diff --quiet --staged); then
echo 'Dirty repository.'